## mikmatch 1.0.3

=== Makefile ===
.PHONY: defaults install uninstall all opt mikmatch-pcre mikmatch-str \
        common install-str install-pcre uninstall-str uninstall-pcre \
        backup clean archive pcre str

ifndef PREFIX
  BINDIR = $(shell dirname `which ocaml`)
  PREFIX = $(shell dirname $(BINDIR))
else
  BINDIR = $(PREFIX)/bin
endif
export PREFIX
export BINDIR


default: mikmatch-pcre
install: install-pcre
uninstall: uninstall-pcre

## GODIVA/GODI targets
all: common
	cd pcre && $(MAKE) all-bc
opt: common
	cd pcre && $(MAKE) all-nc

## end of GODIVA targets

mikmatch-pcre: common pcre
mikmatch-str: common str

common:
	cd common && $(MAKE)

str: common
	cd str && $(MAKE)
pcre: common
	cd pcre && $(MAKE)

install-str:
	cd str && $(MAKE) install
install-pcre:
	cd pcre && $(MAKE) install

uninstall-str:
	cd str && $(MAKE) uninstall
uninstall-pcre:
	cd pcre && $(MAKE) uninstall


backup:
	scp -r . $$BACKUP_DIR/mikmatch/

clean::
	cd doc && $(MAKE) clean
	cd common && $(MAKE) clean
	cd str && $(MAKE) clean
	cd pcre && $(MAKE) clean



VERSION = $(shell ./VERSION)
export VERSION

# Only for developers; requires camlmix, hevea, pdflatex 
# and maybe other things.
archive:
	@echo "Making archive for version $(VERSION)"
	cd str && $(MAKE) version
	cd pcre && $(MAKE) version
	cd doc && $(MAKE)
	rm -rf /tmp/mikmatch /tmp/mikmatch-$(VERSION) && \
	 	cp -r . /tmp/mikmatch && \
		cd /tmp/mikmatch && \
			$(MAKE) clean && \
			rm -rf *~ mikmatch*.tar* `find . -name .svn` && \
		cd /tmp && cp -r mikmatch mikmatch-$(VERSION) && \
		tar czf mikmatch.tar.gz mikmatch && \
		tar cjf mikmatch.tar.bz2 mikmatch && \
		tar czf mikmatch-$(VERSION).tar.gz mikmatch-$(VERSION) && \
		tar cjf mikmatch-$(VERSION).tar.bz2 mikmatch-$(VERSION)
	mv /tmp/mikmatch.tar.gz /tmp/mikmatch.tar.bz2 .
	mv /tmp/mikmatch-$(VERSION).tar.gz /tmp/mikmatch-$(VERSION).tar.bz2 .
	cp mikmatch.tar.gz mikmatch.tar.bz2 $$WWW/
	cp mikmatch-$(VERSION).tar.gz mikmatch-$(VERSION).tar.bz2 $$WWW/
	cp LICENSE $$WWW/mikmatch-license.txt
	cp VERSION $$WWW/mikmatch-version
	cp Changes $$WWW/mikmatch-changes.txt
	$(MAKE) install-www-doc

install-www-doc:
	cp doc/mikmatch-manual.pdf $$WWW
	cp doc/mikmatch-manual.html $$WWW/mikmatch-manual-nocounter.html
	cp doc/mikmatch-ocamldoc/* $$WWW/mikmatch-ocamldoc
	touch -c $$WWW/mikmatch.html.mlx

=== str/Makefile ===
ifndef BINDIR
  BINDIR = $(shell dirname `which ocaml`)
endif

SOURCES = \
  mm_util.ml \
  global_def.mli global_def.ml \
  match.ml \
  str_lib.ml \
  syntax_common.ml \
  syntax_str.ml

RESULT = mikmatch_str

OCAMLFLAGS = -dtypes

OCAMLLDFLAGS = \
  messages.cmo charset.cmo \
  constants.cmo \
  regexp_ast.cmo \
  select_lib.cmo

INCDIRS = ../common

USE_CAMLP4 = yes

LIBINSTALL_FILES := \
  pa_mikmatch_str.cma pa_mikmatch_str.cmo pa_mikmatch_str.cmi \
  run_mikmatch_str.cma run_mikmatch_str.cmo run_mikmatch_str.cmi \
  mikmatch.cmi mikmatch.cmo mikmatch.cmx mikmatch.mli \
  run_mikmatch_str.cmxa run_mikmatch_str.cmx \
  run_mikmatch_str.a run_mikmatch_str.o

.PHONY: default force all links 

default: version links pa_lib misc
force:
	touch $(SOURCES)
	$(MAKE)

all:

links: mikmatch.mli mikmatch.ml match.ml syntax_common.ml mm_util.ml \
	global_def.mli global_def.ml

mikmatch.mli: ../common/mikmatch.mli
	ln -s $< $@
mikmatch.ml: ../common/mikmatch.ml
	ln -s $< $@
syntax_common.ml: ../common/syntax_common.ml
	ln -s $< $@
match.ml: ../common/match.ml
	ln -s $< $@
mm_util.ml: ../common/mm_util.ml
	ln -s $< $@
global_def.mli: ../common/global_def.mli
	ln -s $< $@
global_def.ml: ../common/global_def.ml
	ln -s $< $@

.PHONY: pa_lib install uninstall version topinstall misc

pa_lib:
	$(MAKE) RESULT=pa_mikmatch_str pabc bcl

#install: libinstall topinstall
install: libinstall
uninstall: libuninstall
	rm -f $(BINDIR)/mikmatch_str.top $(BINDIR)/mikmatch_str

version:
	sed -e "s/VERSION/$(VERSION)/" < META.template > META

topinstall:
	install -m 0755 mikmatch_str.top mikmatch_str $(BINDIR)

misc:
	ocamlc -c mikmatch.mli
	ocamlc -a -o run_mikmatch_str.cma \
		mikmatch.ml run_mikmatch_str.ml
	ocamlopt -a -o run_mikmatch_str.cmxa \
		mikmatch.ml run_mikmatch_str.ml


.PHONY: test1 test-install
test: test1

# (preinstall test)
test1:
	camlp4o ./pa_mikmatch_str.cma -printer o test1.ml > test1.ppo
	ocamlopt -pp 'camlp4o ./pa_mikmatch_str.cma' \
		str.cmxa unix.cmxa \
		run_mikmatch_str.cmxa \
		test1.ml -o test1
	./test1
#	ocamlmktop -o mikmatch_str.test -I +camlp4 -I . camlp4o.cma \
#		pa_mikmatch_str.cma str.cma unix.cma run_mikmatch_str.cma
#	./mikmatch_str.test test1.ml


# Compilation with ocamlfind (postinstall test)
test-install:
	ocamlfind ocamlopt \
		-syntax camlp4o \
		-package mikmatch_str\
		-linkpkg \
		test1.ml -o test1_inst
	./test1_inst


TRASH = \
 *~ *.ppo *.cm[ioxa] *.cmxa *.o *.a *.top \
 *.test test1 test1.more mikmatch_str mikmatch_str.ml


OCAMLMAKEFILE = ../OCamlMakefile
include $(OCAMLMAKEFILE)

=== debian/changelog ===
mikmatch (1.0.3-1build2) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 12:04:41 +0000

mikmatch (1.0.3-1build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:34:40 -0600

mikmatch (1.0.3-1) unstable; urgency=low

  * Team upload
  * New upstream release, compatible with OCaml 3.12.0
  * Add debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Tue, 19 Apr 2011 09:29:36 +0200

mikmatch (1.0.2-1) unstable; urgency=low

  * Initial release. (Closes: #605635)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 02 Dec 2010 22:22:54 +0100

=== debian/control ===
Source: mikmatch
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: 
  Sylvain Le Gall <gildor@debian.org>
Build-Depends:
  ocaml-nox (>= 3.12),
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~),
  libpcre-ocaml-dev,
  camlp4, camlp4-extra,
  texlive-latex-base, texlive-latex-extra, 
  hevea, camlmix
Standards-Version: 3.9.1
Homepage: http://martin.jambon.free.fr/micmatch.html
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/mikmatch.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/mikmatch.git

Package: libmikmatch-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: camlp4 extension for pattern matching with regexps
 Mikmatch provides enhanced pattern matching with regexps for OCaml.
 .
 The goal of Mikmatch is to make text-oriented programs even easier to write,
 read and run without losing the unique and powerful features of OCaml.
 Mikmatch provides a concise and highly readable syntax for regular
 expressions, and integrates it into the syntax of OCaml thanks to Camlp4. 
 .
 The implementation of Mikmatch consists essentially of:
  * a library which is loaded by the OCaml preprocessor (Camlp4) and
    defines sophisticated "macros", i.e. the modified syntax;
  * a traditional library (runtime) which is required by the programs that
    use the Mikmatch syntax;
  * a dedicated 'mikmatch' command which can be used as a replacement for
    'ocaml' in scripts or as an interactive toplevel. It performs automatically
    these steps: preprocessing, compilation and execution.

Package: libmikmatch-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}, libtophide-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: camlp4 extension for pattern matching with regexps
 Mikmatch provides enhanced pattern matching with regexps for OCaml.
 .
 The goal of Mikmatch is to make text-oriented programs even easier to write,
 read and run without losing the unique and powerful features of OCaml.
 Mikmatch provides a concise and highly readable syntax for regular
 expressions, and integrates it into the syntax of OCaml thanks to Camlp4. 
 .
 The implementation of Mikmatch consists essentially of:
  * a library which is loaded by the OCaml preprocessor (Camlp4) and
    defines sophisticated "macros", i.e. the modified syntax;
  * a traditional library (runtime) which is required by the programs that
    use the Mikmatch syntax;
  * a dedicated 'mikmatch' command which can be used as a replacement for
    'ocaml' in scripts or as an interactive toplevel. It performs automatically
    these steps: preprocessing, compilation and execution.
 .
 This package contains the shared runtime libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) all
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE) opt
endif 
	$(MAKE) -C doc all

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(DESTDIR)/usr/bin'
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	make install 
	make install-str

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(MAKE) clean
	$(MAKE) -C doc clean

=== debian/watch ===
version=3
http://martin.jambon.free.fr/micmatch.html mikmatch-(.*)\.tar\.gz

## mikmatch 1.0.4

=== debian/changelog ===
mikmatch (1.0.4-1build2) quantal; urgency=low

  * No change rebuild for new pcre-ocaml ABI

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 15 May 2012 22:51:25 -0500

mikmatch (1.0.4-1build1) precise; urgency=low

  * Rebuild with ocamlopt on armhf.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Jan 2012 12:58:12 +0000

mikmatch (1.0.4-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Nov 2011 15:03:59 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: 
+Uploaders:
   Sylvain Le Gall <gildor@debian.org>
 Build-Depends:
   ocaml-nox (>= 3.12),
@@ -11,9 +11,9 @@
   debhelper (>= 7.0.50~),
   libpcre-ocaml-dev,
   camlp4, camlp4-extra,
-  texlive-latex-base, texlive-latex-extra, 
+  texlive-latex-base, texlive-latex-extra,
   hevea, camlmix
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://martin.jambon.free.fr/micmatch.html
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/mikmatch.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/mikmatch.git
@@ -29,7 +29,7 @@
  The goal of Mikmatch is to make text-oriented programs even easier to write,
  read and run without losing the unique and powerful features of OCaml.
  Mikmatch provides a concise and highly readable syntax for regular
- expressions, and integrates it into the syntax of OCaml thanks to Camlp4. 
+ expressions, and integrates it into the syntax of OCaml thanks to Camlp4.
  .
  The implementation of Mikmatch consists essentially of:
   * a library which is loaded by the OCaml preprocessor (Camlp4) and
@@ -51,7 +51,7 @@
  The goal of Mikmatch is to make text-oriented programs even easier to write,
  read and run without losing the unique and powerful features of OCaml.
  Mikmatch provides a concise and highly readable syntax for regular
- expressions, and integrates it into the syntax of OCaml thanks to Camlp4. 
+ expressions, and integrates it into the syntax of OCaml thanks to Camlp4.
  .
  The implementation of Mikmatch consists essentially of:
   * a library which is loaded by the OCaml preprocessor (Camlp4) and

## mikmatch 1.0.6

=== pcre/Makefile ===
PCRE_DIR = $(shell ocamlfind query pcre)
# PCRE_DIR = something else

ifndef BINDIR
  BINDIR = $(shell dirname `which ocaml`)
endif

SOURCES = \
  mm_util.ml \
  global_def.mli global_def.ml \
  match.ml \
  pcre_lib.ml \
  syntax_common.ml \
  syntax_pcre.ml

RESULT = mikmatch_pcre

OCAMLFLAGS = -dtypes

OCAMLLDFLAGS = \
  messages.cmo charset.cmo \
  constants.cmo \
  regexp_ast.cmo \
  select_lib.cmo

INCDIRS = ../common

USE_CAMLP4 = yes

COMMON_LIBINSTALL_FILES = \
  pa_mikmatch_pcre.cma pa_mikmatch_pcre.cmo pa_mikmatch_pcre.cmi \
  run_mikmatch_pcre.cmi mikmatch.cmi mikmatch.mli
BC_LIBINSTALL_FILES = \
  run_mikmatch_pcre.cma run_mikmatch_pcre.cmo 
NC_LIBINSTALL_FILES = \
  run_mikmatch_pcre.cmxa run_mikmatch_pcre.cmx \
  run_mikmatch_pcre.a run_mikmatch_pcre.o mikmatch.cmx
ALL_LIBINSTALL_FILES = \
  $(COMMON_LIBINSTALL_FILES) $(BC_LIBINSTALL_FILES) $(NC_LIBINSTALL_FILES)

.PHONY: default all-bc all-nc all force links pa_lib install uninstall \
        version topinstall misc-bc misc-nc

default: version links pa_lib misc-bc misc-nc
	touch bytecode
	touch nativecode
all-bc: links pa_lib misc-bc
	touch bytecode
all-nc: links pa_lib misc-nc
	touch nativecode

all: # needed by libinstall

force:
	touch $(SOURCES)
	$(MAKE)

links: mikmatch.mli mikmatch.ml match.ml syntax_common.ml mm_util.ml \
	global_def.mli global_def.ml

mikmatch.mli: ../common/mikmatch.mli
	ln -s $< $@
mikmatch.ml: ../common/mikmatch.ml
	ln -s $< $@
syntax_common.ml: ../common/syntax_common.ml
	ln -s $< $@
match.ml: ../common/match.ml
	ln -s $< $@
mm_util.ml: ../common/mm_util.ml
	ln -s $< $@
global_def.mli: ../common/global_def.mli
	ln -s $< $@
global_def.ml: ../common/global_def.ml
	ln -s $< $@

pa_lib:
	$(MAKE) RESULT=pa_mikmatch_pcre pabc bcl

install: topinstall
	if test -f nativecode; \
	then \
		$(MAKE) "LIBINSTALL_FILES=$(ALL_LIBINSTALL_FILES)" libinstall;\
	else \
		$(MAKE) "LIBINSTALL_FILES=$(COMMON_LIBINSTALL_FILES) $(BC_LIBINSTALL_FILES)" libinstall; \
	fi

uninstall: 
	$(MAKE) libuninstall

version:
	sed -e "s/VERSION/$(VERSION)/" < META.template > META

misc-bc:
	ocamlc -c mikmatch.mli
	ocamlc -a -o run_mikmatch_pcre.cma -I $(PCRE_DIR) \
		mikmatch.ml run_mikmatch_pcre.ml
	ocamlmktop -o mikmatch_pcre.top \
		-I +camlp4 -I $(PCRE_DIR) \
		dynlink.cma \
		camlp4o.cma \
		pa_mikmatch_pcre.cma pcre.cma unix.cma run_mikmatch_pcre.cma

misc-nc:
	ocamlc -c mikmatch.mli
	ocamlopt -a -o run_mikmatch_pcre.cmxa -I $(PCRE_DIR) \
		mikmatch.ml run_mikmatch_pcre.ml


.PHONY: test simple-test more-tests test-install
test: simple-test more-tests

# Toplevel (preinstall test)
simple-test:
	camlp4o ./pa_mikmatch_pcre.cma -printer o test.ml > test.ppo
	ocamlmktop -o mikmatch_pcre.test -I +camlp4 -I .  -I $(PCRE_DIR) \
		dynlink.cma \
		camlp4o.cma \
		pa_mikmatch_pcre.cma pcre.cma unix.cma run_mikmatch_pcre.cma

# Preinstall test
more-tests:
	camlp4o ./pa_mikmatch_pcre.cma -printer o -direct test.ml > test.ppo
	ocamlopt \
		-pp 'camlp4o ./pa_mikmatch_pcre.cma' \
		-I $(PCRE_DIR) pcre.cmxa run_mikmatch_pcre.cmxa \
		test.ml -o test
	./test

# Postinstall test
test-install:
	ocamlfind ocamlopt \
		-syntax camlp4o \
		-package pcre,mikmatch_pcre\
		-linkpkg \
		test.ml -o test
	./test

# Debugging
.PHONY: test2
test2:
	camlp4o ./pa_mikmatch_pcre.cma -printer o test2.ml > test2.ppo

TRASH = \
 *~ *.ppo *.cm[ioxa] *.cmxa *.o *.a *.top \
 *.test test test.more mikmatch bytecode nativecode mikmatch_pcre.ml


OCAMLMAKEFILE = ../OCamlMakefile
include $(OCAMLMAKEFILE)

=== debian/changelog ===
mikmatch (1.0.6-4) unstable; urgency=low

  * Team upload.
  * Add build-dependency on texlive-fonts-recommended (closes: #738386)

 -- Ralf Treinen <treinen@debian.org>  Mon, 10 Feb 2014 21:10:16 +0100

mikmatch (1.0.6-3) unstable; urgency=low

  * Team upload
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 20:03:39 +0100

mikmatch (1.0.6-2) experimental; urgency=low

  * prepare for OCaml 4.00
    - remove 3.12 patch
    - add new patch for ocamldoc 4 compatibility

 -- Hendrik Tews <hendrik@askra.de>  Thu, 20 Jun 2013 09:56:10 +0200

mikmatch (1.0.6-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Hendrik Tews ]
  * fix watchfile
  * new upstream version
  * bump debhelper compat level and standards version
  * add myself as uploader
  * update Vcs fields, homepage, package description and dependencies
  * update copyright
  * update existing makefile patch
    - rename and refresh
    - add meaningful description
    - don't install stray cmo's
    - build and install mikmatch toplevels
  * add new patch ocaml-3-12 for 3.12 compilation
  * fix rules to use native compilers and prepare ocamldoc subdir
  * install toplevels and add man pages for them
  * add README.Debian telling about the PCRE and Str version

 -- Hendrik Tews <hendrik@askra.de>  Tue, 11 Jun 2013 13:45:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,28 +2,30 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders:
-  Sylvain Le Gall <gildor@debian.org>
+Uploaders: Hendrik Tews <hendrik@askra.de>
 Build-Depends:
-  ocaml-nox (>= 3.12),
-  ocaml-findlib,
+  ocaml-nox (>= 4),
+  ocaml-best-compilers,
+  ocaml-findlib (>= 1.4),
   dh-ocaml (>= 0.9~),
-  debhelper (>= 7.0.50~),
-  libpcre-ocaml-dev,
-  camlp4, camlp4-extra,
-  texlive-latex-base, texlive-latex-extra,
-  hevea, camlmix
-Standards-Version: 3.9.2
-Homepage: http://martin.jambon.free.fr/micmatch.html
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/mikmatch.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/mikmatch.git
+  debhelper (>= 9),
+  libpcre-ocaml-dev (>= 7.0.2-3~),
+  camlp4-extra,
+  texlive-latex-extra,
+  texlive-fonts-recommended,
+  hevea (>= 2.06-3~),
+  camlmix
+Standards-Version: 3.9.4
+Homepage: http://mjambon.com/micmatch.html
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/mikmatch.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/mikmatch.git
 
 Package: libmikmatch-ocaml-dev
 Architecture: any
 Depends: ${ocaml:Depends}, ${misc:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
-Description: camlp4 extension for pattern matching with regexps
+Description: camlp4 extension for pattern matching with regexps - development
  Mikmatch provides enhanced pattern matching with regexps for OCaml.
  .
  The goal of Mikmatch is to make text-oriented programs even easier to write,
@@ -39,13 +41,16 @@
   * a dedicated 'mikmatch' command which can be used as a replacement for
     'ocaml' in scripts or as an interactive toplevel. It performs automatically
     these steps: preprocessing, compilation and execution.
+ .
+ This package contains the development files needed for programming
+ with the library.
 
 Package: libmikmatch-ocaml
 Architecture: any
 Depends: ${ocaml:Depends}, ${misc:Depends}, libtophide-ocaml-dev
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
-Description: camlp4 extension for pattern matching with regexps
+Description: camlp4 extension for pattern matching with regexps - runtime
  Mikmatch provides enhanced pattern matching with regexps for OCaml.
  .
  The goal of Mikmatch is to make text-oriented programs even easier to write,

## mikmatch 1.0.7

=== doc/Makefile ===
all: mikmatch-ocamldoc/index.html
	camlmix -o mikmatch-manual.tex -clean mikmatch-manual.tex.mlx
	pdflatex -interaction=nonstopmode mikmatch-manual
	pdflatex -interaction=nonstopmode mikmatch-manual
	hevea -fix macros.hva mikmatch-manual

mikmatch-ocamldoc/index.html: ../common/mikmatch.mli
	ocamldoc -d mikmatch-ocamldoc -html $<
	ocamldoc $< -o mikmatch-ocamldoc.tex -latex -noheader -notoc -notrailer

clean:
	rm -f *~ *.haux *.log *.aux *.toc *.pdf *.html *.out *.htoc \
		mikmatch-ocamldoc/*

=== debian/changelog ===
mikmatch (1.0.7-1build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 04 Nov 2015 11:39:40 -0600

mikmatch (1.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #733934).

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 08 May 2014 20:50:54 +0200

=== debian/watch ===
version=3
http://mjambon.com/releases/mikmatch \
.*/mikmatch/mikmatch[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## mikmatch 1.0.8

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-.PHONY: defaults install uninstall all opt mikmatch-pcre mikmatch-str \
+.PHONY: default install uninstall reinstall \
+        all opt mikmatch-pcre mikmatch-str \
         common install-str install-pcre uninstall-str uninstall-pcre \
         backup clean archive pcre str
 
@@ -15,6 +16,9 @@
 default: mikmatch-pcre
 install: install-pcre
 uninstall: uninstall-pcre
+reinstall:
+	$(MAKE) uninstall
+	$(MAKE) install
 
 ## GODIVA/GODI targets
 all: common

=== common/Makefile ===
SOURCES = \
  global_def.ml \
  messages.ml charset.ml \
  constants.ml \
  regexp_ast.ml \
  select_lib.ml

OCAMLFLAGS = -dtypes
USE_CAMLP4 = yes

.PHONY: default
default: bcnl

TRASH = *~ 

OCAMLMAKEFILE = ../OCamlMakefile
include $(OCAMLMAKEFILE)

=== pcre/Makefile ===
--- 
+++ 
@@ -84,7 +84,7 @@
 		$(MAKE) "LIBINSTALL_FILES=$(COMMON_LIBINSTALL_FILES) $(BC_LIBINSTALL_FILES)" libinstall; \
 	fi
 
-uninstall: 
+uninstall:
 	$(MAKE) libuninstall
 
 version:
@@ -94,11 +94,9 @@
 	ocamlc -c mikmatch.mli
 	ocamlc -a -o run_mikmatch_pcre.cma -I $(PCRE_DIR) \
 		mikmatch.ml run_mikmatch_pcre.ml
-	ocamlmktop -o mikmatch_pcre.top \
-		-I +camlp4 -I $(PCRE_DIR) \
-		dynlink.cma \
-		camlp4o.cma \
-		pa_mikmatch_pcre.cma pcre.cma unix.cma run_mikmatch_pcre.cma
+	ocamlfind ocamlmktop -o mikmatch_pcre.top \
+	  -linkpkg -package camlp4.lib,pcre,unix \
+	  pa_mikmatch_pcre.cma run_mikmatch_pcre.cma
 
 misc-nc:
 	ocamlc -c mikmatch.mli

=== debian/changelog ===
mikmatch (1.0.8-2build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:27:19 +0000

mikmatch (1.0.8-2) unstable; urgency=medium

  * Team upload
  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 04 Sep 2019 14:05:43 +0200

mikmatch (1.0.8-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - import fix for pcre 7.2.0 from upstream repository
  * Update Homepage and debian/watch
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8

 -- Stéphane Glondu <glondu@debian.org>  Thu, 04 Aug 2016 14:00:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mikmatch
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Hendrik Tews <hendrik@askra.de>
 Build-Depends:
   ocaml-nox (>= 4),
@@ -15,10 +16,10 @@
   texlive-fonts-recommended,
   hevea (>= 2.06-3~),
   camlmix
-Standards-Version: 3.9.4
-Homepage: http://mjambon.com/micmatch.html
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/mikmatch.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/mikmatch.git
+Standards-Version: 3.9.8
+Homepage: https://github.com/mjambon/mikmatch
+Vcs-Git: https://salsa.debian.org/ocaml-team/mikmatch.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/mikmatch
 
 Package: libmikmatch-ocaml-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/tmp
export DESTDIR

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF


%:
	dh $@ --with ocaml


.PHONY: override_dh_auto_build
override_dh_auto_build:
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE) OCAMLC=ocamlc.opt OCAMLOPT=ocamlopt.opt all opt
else
	$(MAKE) all
endif 
	mkdir -p doc/mikmatch-ocamldoc
	$(MAKE) -C doc all


# there is also a failing test goal in pcre,
# waiting for upstream comments on it
# the test goal in str uses native compilation
# diable it too until discussed with upstream
# .PHONY: override_dh_auto_test
# override_dh_auto_test:
# 	$(MAKE) -C str test


.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(DESTDIR)/usr/bin'
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	$(MAKE) install 
	$(MAKE) install-str


.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing


.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(MAKE) clean
	$(MAKE) -C doc clean

## mikmatch 1.0.9

=== Makefile ===
--- 
+++ 
@@ -64,6 +64,9 @@
 VERSION = $(shell ./VERSION)
 export VERSION
 
+install: OCAMLFIND_INSTFLAGS = -patch-version $(VERSION)
+export OCAMLFIND_INSTFLAGS
+
 # Only for developers; requires camlmix, hevea, pdflatex 
 # and maybe other things.
 archive:

=== pcre/Makefile ===
--- 
+++ 
@@ -39,9 +39,9 @@
   $(COMMON_LIBINSTALL_FILES) $(BC_LIBINSTALL_FILES) $(NC_LIBINSTALL_FILES)
 
 .PHONY: default all-bc all-nc all force links pa_lib install uninstall \
-        version topinstall misc-bc misc-nc
+        topinstall misc-bc misc-nc
 
-default: version links pa_lib misc-bc misc-nc
+default: links pa_lib misc-bc misc-nc
 	touch bytecode
 	touch nativecode
 all-bc: links pa_lib misc-bc
@@ -86,9 +86,6 @@
 
 uninstall:
 	$(MAKE) libuninstall
-
-version:
-	sed -e "s/VERSION/$(VERSION)/" < META.template > META
 
 misc-bc:
 	ocamlc -c mikmatch.mli

=== str/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 
 .PHONY: default force all links 
 
-default: version links pa_lib misc
+default: links pa_lib misc
 force:
 	touch $(SOURCES)
 	$(MAKE)
@@ -58,7 +58,7 @@
 global_def.ml: ../common/global_def.ml
 	ln -s $< $@
 
-.PHONY: pa_lib install uninstall version topinstall misc
+.PHONY: pa_lib install uninstall topinstall misc
 
 pa_lib:
 	$(MAKE) RESULT=pa_mikmatch_str pabc bcl
@@ -67,9 +67,6 @@
 install: libinstall
 uninstall: libuninstall
 	rm -f $(BINDIR)/mikmatch_str.top $(BINDIR)/mikmatch_str
-
-version:
-	sed -e "s/VERSION/$(VERSION)/" < META.template > META
 
 topinstall:
 	install -m 0755 mikmatch_str.top mikmatch_str $(BINDIR)

=== debian/changelog ===
mikmatch (1.0.9-1) unstable; urgency=medium

  * Team upload
  * Remove Hendrik from Uploaders
  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Aug 2020 10:37:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: mikmatch
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Hendrik Tews <hendrik@askra.de>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
+  debhelper-compat (= 13),
   ocaml-nox (>= 4),
   ocaml-best-compilers,
   ocaml-findlib (>= 1.4),
-  dh-ocaml (>= 0.9~),
-  debhelper (>= 9),
+  dh-ocaml,
   libpcre-ocaml-dev (>= 7.0.2-3~),
   camlp4-extra,
   texlive-latex-extra,
   texlive-fonts-recommended,
   hevea (>= 2.06-3~),
   camlmix
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/mjambon/mikmatch
 Vcs-Git: https://salsa.debian.org/ocaml-team/mikmatch.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/mikmatch

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	$(MAKE) OCAMLC=ocamlc.opt OCAMLOPT=ocamlopt.opt all opt
 else
 	$(MAKE) all
-endif 
+endif
 	mkdir -p doc/mikmatch-ocamldoc
 	$(MAKE) -C doc all
 
@@ -44,13 +44,8 @@
 override_dh_auto_install:
 	mkdir -p '$(DESTDIR)/usr/bin'
 	mkdir -p '$(OCAMLFIND_DESTDIR)'
-	$(MAKE) install 
+	$(MAKE) install
 	$(MAKE) install-str
-
-
-.PHONY: override_dh_install
-override_dh_install:
-	dh_install --fail-missing
 
 
 .PHONY: override_dh_auto_clean
